<?php 

/**
 * 名称：文章控制器
 * 作者：荷塘月色
 * 邮箱：kujiw@qq.com
 * 说明：
 */

namespace Qiye\Controller;
class ContentController extends ProjectController {

	// 首页列表展示
	public function index(){
		if (IS_GET) {
			$this -> display();
		}elseif (IS_POST) {
			$this -> ajaxReturn($this -> getData());
		}
	}

	// 添加
	public function add(){
		if (IS_GET) {
			$this -> model_id = M('Contentcate') -> where(array('id'=>array('eq',I('category_id')))) -> getField('model_id');
			$this -> display();
		}elseif(IS_POST){
			$this -> ebAdd(array('content_body'));
		}
	}

	// 修改
	public function save(){
		if (IS_GET) {
			$this -> assign(D('Content','RelationModel') -> relation(true) -> find(I('id','','intval')));
			$this -> display();
		}elseif (IS_POST) {
			$this -> ebSave(array('content_body'));
		}
	}

	// 删除
	public function delete(){
		if (IS_POST) {
			$this -> ebDelete();
		}
	}

	// 修改状态
	public function status(){
		if (IS_POST) {
			$this -> ebStatus();
		}
	}

}